← Tabellen
Läschen

Scotland

Women's West Region League Division 2

#EquipePWDLPDBPPtsForm
1Marr RFC3300–315WWW
2Uddingston RFC4301–315WLWW
3Cartha Queens Park RFC (2nd XV)4202–311LWLW
4Irvine RFC3102–12LWL
5Strathaven RFC4004–00LLLL

Quell: Scottish Rugby · gepréift 14. Okt. 16:52 · Form: déi lescht fënnef Resultater, déi mir hunn, dat neiste riets.

Matcher & Resultater →

All Tabell ass déi vun der Liga selwer publizéiert, mat Bonuspunkten, Ofzich an Entscheedungsregelen. BP steet do, wou d'Liga en publizéiert; soss ass en schonn an Pts.